com.h3c.util

## Class HTMLUtils

- java.lang.Object
- - com.h3c.util.HTMLUtils

-     public final class HTMLUtils
      extends Object

  Set of utilities for producing HTML pages.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HTMLUtils.Body` HTML body tag.
    `static class` | `HTMLUtils.Div` HTML division tag.
    `static class` | `HTMLUtils.Head` HTML head tag.
    `static class` | `HTMLUtils.HTMLTag` Generic HTML tag.
    `static class` | `HTMLUtils.Image` HTML image tag.
    `static class` | `HTMLUtils.Link` HTML anchor tag.
    `static class` | `HTMLUtils.Page` HTML page tag.
    `static class` | `HTMLUtils.Span` HTML span tag.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALT`
    `static String` | `ANCHOR`
    `static String` | `BODY`
    `static String` | `CHARSET`
    `static String` | `CLASS`
    `static String` | `CONTENT`
    `static String` | `DIV`
    `static String` | `HEAD`
    `static String` | `HREF`
    `static String` | `HTML`
    `static String` | `ID`
    `static String` | `IMG`
    `static String` | `LI`
    `static String` | `LINK`
    `static String` | `META`
    `static String` | `NAME`
    `static String` | `OL`
    `static String` | `SCRIPT`
    `static String` | `SPAN`
    `static String` | `SRC`
    `static String` | `TABLE`
    `static String` | `TD`
    `static String` | `TH`
    `static String` | `TITLE`
    `static String` | `TR`
    `static String` | `TYPE`
    `static String` | `UL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `nl2Br(String s)` Replace newline characters with an HTML break tag "<br/>".

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTML

          public static final String HTML

      See Also:
        Constant Field Values

    - #### HEAD

          public static final String HEAD

      See Also:
        Constant Field Values

    - #### BODY

          public static final String BODY

      See Also:
        Constant Field Values

    - #### TITLE

          public static final String TITLE

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### CLASS

          public static final String CLASS

      See Also:
        Constant Field Values

    - #### DIV

          public static final String DIV

      See Also:
        Constant Field Values

    - #### SPAN

          public static final String SPAN

      See Also:
        Constant Field Values

    - #### META

          public static final String META

      See Also:
        Constant Field Values

    - #### LINK

          public static final String LINK

      See Also:
        Constant Field Values

    - #### SCRIPT

          public static final String SCRIPT

      See Also:
        Constant Field Values

    - #### CONTENT

          public static final String CONTENT

      See Also:
        Constant Field Values

    - #### CHARSET

          public static final String CHARSET

      See Also:
        Constant Field Values

    - #### SRC

          public static final String SRC

      See Also:
        Constant Field Values

    - #### IMG

          public static final String IMG

      See Also:
        Constant Field Values

    - #### ANCHOR

          public static final String ANCHOR

      See Also:
        Constant Field Values

    - #### HREF

          public static final String HREF

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### ALT

          public static final String ALT

      See Also:
        Constant Field Values

    - #### UL

          public static final String UL

      See Also:
        Constant Field Values

    - #### OL

          public static final String OL

      See Also:
        Constant Field Values

    - #### LI

          public static final String LI

      See Also:
        Constant Field Values

    - #### TABLE

          public static final String TABLE

      See Also:
        Constant Field Values

    - #### TR

          public static final String TR

      See Also:
        Constant Field Values

    - #### TH

          public static final String TH

      See Also:
        Constant Field Values

    - #### TD

          public static final String TD

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### nl2Br

          public static String nl2Br(String s)

      Replace newline characters with an HTML break tag "<br/>".
      Parameters:
        `s` - the original string
      Returns:
        the transformed string

Copyright © 2014. All Rights Reserved.